Package com.plannaplan.responses.mappers

# Class AssignmentResponseMappers

java.lang.Object
com.plannaplan.responses.mappers.AssignmentResponseMappers

    public class AssignmentResponseMappers
    extends java.lang.Object

Mappers for Assingnmetns to api responses

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AssignmentResponseMappers()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.util.List<AssignmentDetailedResponse>` | `mapAssignmetnToDetialedResponse​(java.util.List<com.plannaplan.entities.Assignment> assignments)` | map assignmetn to detailed response
`static java.util.List<AssignmentResponse>` | `mapToResponse​(java.util.List<com.plannaplan.entities.Assignment> assignments)` |
`static java.util.List<AssignmentResponse>` | `mapToResponse​(java.util.List<com.plannaplan.entities.Assignment> assignments, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssignmentResponseMappers

public AssignmentResponseMappers()

## Method Details

### mapToResponse

public static final java.util.List<AssignmentResponse> mapToResponse​(java.util.List<com.plannaplan.entities.Assignment> assignments)

Parameters:
  `assignments` - lsit of assignments to be maped
Returns:
  list of api responses

### mapToResponse

public static final java.util.List<AssignmentResponse> mapToResponse​(java.util.List<com.plannaplan.entities.Assignment> assignments, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)

Parameters:
  `assignments` - lsit of assignments to be maped
  `ammounts` - ammounts to be take into account
Returns:
  list of api responses

### mapAssignmetnToDetialedResponse

public static final java.util.List<AssignmentDetailedResponse> mapAssignmetnToDetialedResponse​(java.util.List<com.plannaplan.entities.Assignment> assignments)
map assignmetn to detailed response

Parameters:
  `assignments` - list of assignments to map
Returns:
  list of responses